<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage Mezze
 * @since Mezze 1.0.0
 */

$wp_customize->add_section( 'mezze_breadcrumb', array(
	'title'             => esc_html__( 'Breadcrumb','mezze' ),
	'description'       => esc_html__( 'Breadcrumb section options.', 'mezze' ),
	'panel'             => 'mezze_theme_options_panel',
) );

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'mezze_theme_options[breadcrumb_enable]', array(
	'sanitize_callback' => 'mezze_sanitize_switch_control',
	'default'          	=> $options['breadcrumb_enable'],
) );

$wp_customize->add_control( new Mezze_Switch_Control( $wp_customize, 'mezze_theme_options[breadcrumb_enable]', array(
	'label'            	=> esc_html__( 'Enable Breadcrumb', 'mezze' ),
	'section'          	=> 'mezze_breadcrumb',
	'on_off_label' 		=> mezze_switch_options(),
) ) );

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'mezze_theme_options[breadcrumb_separator]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['breadcrumb_separator'],
) );

$wp_customize->add_control( 'mezze_theme_options[breadcrumb_separator]', array(
	'label'            	=> esc_html__( 'Separator', 'mezze' ),
	'active_callback' 	=> 'mezze_is_breadcrumb_enable',
	'section'          	=> 'mezze_breadcrumb',
) );
