<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage Mezze
 * @since Mezze 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'mezze_layout', array(
	'title'               => esc_html__('Layout','mezze'),
	'description'         => esc_html__( 'Layout section options.', 'mezze' ),
	'panel'               => 'mezze_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'mezze_theme_options[site_layout]', array(
	'sanitize_callback'   => 'mezze_sanitize_select',
	'default'             => $options['site_layout'],
) );

$wp_customize->add_control(  new Mezze_Custom_Radio_Image_Control ( $wp_customize, 'mezze_theme_options[site_layout]', array(
	'label'               => esc_html__( 'Site Layout', 'mezze' ),
	'section'             => 'mezze_layout',
	'choices'			  => mezze_site_layout(),
) ) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'mezze_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'mezze_sanitize_select',
	'default'             => $options['sidebar_position'],
) );

$wp_customize->add_control(  new Mezze_Custom_Radio_Image_Control ( $wp_customize, 'mezze_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Global Sidebar Position', 'mezze' ),
	'section'             => 'mezze_layout',
	'choices'			  => mezze_global_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'mezze_theme_options[post_sidebar_position]', array(
	'sanitize_callback'   => 'mezze_sanitize_select',
	'default'             => $options['post_sidebar_position'],
) );

$wp_customize->add_control(  new Mezze_Custom_Radio_Image_Control ( $wp_customize, 'mezze_theme_options[post_sidebar_position]', array(
	'label'               => esc_html__( 'Posts Sidebar Position', 'mezze' ),
	'section'             => 'mezze_layout',
	'choices'			  => mezze_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'mezze_theme_options[page_sidebar_position]', array(
	'sanitize_callback'   => 'mezze_sanitize_select',
	'default'             => $options['page_sidebar_position'],
) );

$wp_customize->add_control( new Mezze_Custom_Radio_Image_Control( $wp_customize, 'mezze_theme_options[page_sidebar_position]', array(
	'label'               => esc_html__( 'Pages Sidebar Position', 'mezze' ),
	'section'             => 'mezze_layout',
	'choices'			  => mezze_sidebar_position(),
) ) );